diff --git a/perforate.sh b/perforate.sh
new file mode 100755
index 0000000000000000000000000000000000000000..556b358c53fdb142cd478b279b4cbd393b353aba
--- /dev/null
+++ b/perforate.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+usage() {
+    printf "%s: <input_program> <output_program>\n" "$0"
+}
+
+if [ $# -ne 2 ]; then
+    usage
+    exit 1
+fi
+
+input="$1"
+output="$2"
+
+printf "input is \"%s\" output is \"%s\"" "$input" "$output"